=== debian/changelog ===
ros-melodic-play-motion-builder (1.0.2-1stretch) stretch; urgency=high

  * Fix dependencies
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Wed, 21 Oct 2020 22:00:00 -0000

ros-melodic-play-motion-builder (1.0.1-1stretch) stretch; urgency=high

  * REname projecto to comply with naming scheme
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-play-motion-builder (1.0.0-1stretch) stretch; urgency=high

  * Documentation
  * Initial commit
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Wed, 14 Oct 2020 22:00:00 -0000
