=== debian/control ===
Source: ros-melodic-play-motion-builder
Section: misc
Priority: optional
Maintainer: davidfernandez <david.fernandez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-play-motion-builder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-actionlib, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: The play_motion_builder package, a node to handle the creation of new motions for play_motion.
